var contentsHtml_WC_11_02_01 = {'WC_11_02_01.html' : { 'contents' : '<div id="print-page"><main><h2 id="2162280331">SSL/TLSで通信する</h2><div class="Subsection-menu"><div class="Subsection-item"><a href="#2162304267">本機の証明書について</a></div><div class="Subsection-item"><a href="#2162328203">出荷時に登録されている証明書を使う</a></div><div class="Subsection-item"><a href="#2162352139">証明書を自己作成する</a></div><div class="Subsection-item"><a href="#2162378635">認証局に証明書の発行要求をする</a></div></div><div class="heading-div"><h3 id="2162304267" class="Subsection">本機の証明書について</h3></div><p>本機とコンピューターとの通信をSSLで暗号化して、セキュリティーを強化できます。</p><p>本機の証明書を使って、本機とコンピューターとの間でSSL通信を行います。本機には、出荷時に証明書が登録されているため、本機でSSL/TLSを有効にするだけで、設置後すぐにSSLによる暗号化通信ができます。</p><p>本機は、複数の証明書を管理し、用途（プロトコル）に応じて使い分けることもできます。証明書は、新しく自己作成したり、CA局（認証局）から発行された証明書をインストールしたりできます。</p><p>本機で、証明書を利用する方法は次のとおりです。</p><div class="Table-wrapper"><table><colgroup><col style="width:25.000000000000000%;"/><col style="width:75.000000000000000%;"/></colgroup><thead><tr><th class="align-left valign-top"><div class="td-th-div"><p>利用方法</p></div></th><th class="align-left valign-top"><div class="td-th-div"><p>説明</p></div></th></tr></thead><tbody><tr><td class="align-left valign-top"><div class="td-th-div"><p>出荷時に登録されている証明書を利用する</p></div></td><td class="align-left valign-top"><div class="td-th-div"><p>出荷時に本機に登録されている証明書をそのまま利用できます。</p></div></td></tr><tr><td class="align-left valign-top"><div class="td-th-div"><p>自己作成した証明書を利用する</p></div></td><td class="align-left valign-top"><div class="td-th-div"><p>本機で証明書を作成します。</p><p>CA（認証局）を必要とせず、証明書の作成に必要な情報を入力するだけで、証明書を利用できます。</p></div></td></tr><tr><td class="align-left valign-top"><div class="td-th-div"><p>CA（認証局）から発行された証明書を利用する</p></div></td><td class="align-left valign-top"><div class="td-th-div"><p>本機で、証明書発行要求データを作成し、信頼できるCA（認証局）に、本機の証明書の発行を依頼します。認証局での審査後、返送されてきたデータを本機に登録します。</p></div></td></tr></tbody></table></div><div class="Reference"><div class="ReferenceTitle-div"><div class="Reference-icon"><img src="src/img/Reference.png"/></div><div class="Reference-title">参照</div></div><div class="Reference-body"><ul class="List-Reference-Bulleted"><li><a class="CrossReference" href="WC_11_05_03.html#2162929035">証明書をインポートする</a></li><li><a class="CrossReference" href="WC_11_05_01.html#2162828299">複数の証明書を用途に応じて使い分ける</a></li></ul></div></div><div class="heading-div"><h3 id="2162328203" class="Subsection">出荷時に登録されている証明書を使う</h3></div><p>SSL通信を有効にするログインモードを選びます。また、使用するSSLバージョンの範囲を指定します。</p><p><span style="font-size:inherit; font-weight: bold; color:inherit; ">Web Connection</span>の管理者モード（または本機の[設定メニュー]-[管理者]）の[セキュリティー]-[PKI設定]-[SSL使用設定]で設定します。設定内容について詳しくは、<a class="CrossReference" href="UT_08_03.html#2144203915">[SSL使用設定]</a>をごらんください。</p><div class="heading-div"><h3 id="2162352139" class="Subsection">証明書を自己作成する</h3></div><p>本機で証明書を作成します。CA（認証局）を必要とせず、証明書の作成に必要な情報を入力するだけで、証明書を利用できます。</p><div class="SequenceOfAction-column"><div class="SequenceOfAction-item bottom-border"><div class="SequenceOfAction-item-num-div">1</div><div class="no-graphic-counter"><div class="Counter-Action"><span style="font-size:inherit; font-weight: bold; color:inherit; ">Web Connection</span>の管理者モードの[セキュリティー]-[PKI設定]-[デバイス証明書設定]-[新規登録]-[証明書を自己で作成しインストールする]で、証明書の作成に必要な情報を入力し、[OK]をクリックします。</div><ul class="Alternative"><li><p class="inList">設定内容について詳しくは、[証明書を自己で作成しインストールする]の設定内容（手順の後に記載）をごらんください。</p></li></ul><p class="Result FirstResult LastResult">証明書が作成され、本機にインストールされます。証明書を作成するのに数分かかる場合があります。</p></div></div><div class="SequenceOfAction-item"><div class="SequenceOfAction-item-num-div">2</div><div class="no-graphic-counter"><div class="Counter-Action">証明書のインストールが完了したら、SSL通信を有効にします。</div><ul class="Alternative"><li><p class="inList">設定内容について詳しくは、<a class="CrossReference" href="UT_08_03.html#2144203915">[SSL使用設定]</a>をごらんください。</p></li></ul></div></div></div><p class="table-title">[証明書を自己で作成しインストールする]の設定内容</p><div class="Table-wrapper"><table><colgroup><col style="width:24.999999999999998%;"/><col style="width:75.000000000000002%;"/></colgroup><thead><tr><th class="align-left valign-top"><div class="td-th-div"><p>設定</p></div></th><th class="align-left valign-top"><div class="td-th-div"><p>説明</p></div></th></tr></thead><tbody><tr><td class="align-left valign-top"><div class="td-th-div"><p>[コモンネーム]</p></div></td><td class="align-left valign-top"><div class="td-th-div"><p>本機のIPアドレスを表示します。</p></div></td></tr><tr><td class="align-left valign-top"><div class="td-th-div"><p>[組織名]</p></div></td><td class="align-left valign-top"><div class="td-th-div"><p>組織名、団体名を入力します（ASCII 63文字以内）。</p></div></td></tr><tr><td class="align-left valign-top"><div class="td-th-div"><p>[部門名]</p></div></td><td class="align-left valign-top"><div class="td-th-div"><p>部門名を入力します（ASCII 63文字以内）。</p><p>空白でも登録できます。</p></div></td></tr><tr><td class="align-left valign-top"><div class="td-th-div"><p>[市区町村名]</p></div></td><td class="align-left valign-top"><div class="td-th-div"><p>市区町村名を入力します（ASCII 127文字以内）。</p></div></td></tr><tr><td class="align-left valign-top"><div class="td-th-div"><p>[都道府県名]</p></div></td><td class="align-left valign-top"><div class="td-th-div"><p>都道府県名を入力します（ASCII 127文字以内）。</p></div></td></tr><tr><td class="align-left valign-top"><div class="td-th-div"><p>[国別記号]</p></div></td><td class="align-left valign-top"><div class="td-th-div"><p>国名を入力します。ISO03166で規定されている国コードで入力します（ASCII 2文字）。</p><p>アメリカ：US、イギリス：GB、イタリア：IT、オーストラリア：AU、オランダ：NL、カナダ：CA、スペイン：ES、チェコ：CZ、中国：CN、デンマーク：DK、ドイツ：DE、日本：JP、フランス：FR、ベルギー：BE、ロシア：RU</p></div></td></tr><tr><td class="align-left valign-top"><div class="td-th-div"><p>[管理者アドレス]</p></div></td><td class="align-left valign-top"><div class="td-th-div"><p>本機の管理者の、メールアドレスを入力します（スペースを除く半角128文字以内）。</p><p>[環境設定]-[本体登録]で、すでに管理者のメールアドレスを登録している場合は、登録したメールアドレスを表示します。</p></div></td></tr><tr><td class="align-left valign-top"><div class="td-th-div"><p>[有効開始の日付]</p></div></td><td class="align-left valign-top"><div class="td-th-div"><p>証明書の有効期間の、開始日を表示します。</p><p>この画面を表示したときの本機の日時を表示します。</p></div></td></tr><tr><td class="align-left valign-top"><div class="td-th-div"><p>[有効期間]</p></div></td><td class="align-left valign-top"><div class="td-th-div"><p>証明書の有効期間を、開始日からの経過日数で入力します。</p></div></td></tr><tr><td class="align-left valign-top"><div class="td-th-div"><p>[暗号鍵の種類]</p></div></td><td class="align-left valign-top"><div class="td-th-div"><p>暗号鍵の種類を選びます。</p></div></td></tr><tr><td class="align-left valign-top"><div class="td-th-div"><p>[サーバー認証(id-kp-serverAuth OID)を指定する]</p></div></td><td class="align-left valign-top"><div class="td-th-div"><p>本機の証明書の暗号鍵の用途がサーバー認証であることを指定する場合は、オンにします（初期値：オフ）。</p></div></td></tr></tbody></table></div><div class="heading-div"><h3 id="2162378635" class="Subsection">認証局に証明書の発行要求をする</h3></div><p>本機で、証明書発行要求データを作成し、信頼できるCA（認証局）に、本機の証明書の発行を依頼します。認証局での審査後、返送されてきたデータを本機に登録します。</p><div class="SequenceOfAction-column"><div class="SequenceOfAction-item bottom-border"><div class="SequenceOfAction-item-num-div">1</div><div class="no-graphic-counter"><div class="Counter-Action"><span style="font-size:inherit; font-weight: bold; color:inherit; ">Web Connection</span>の管理者モードの[セキュリティー]-[PKI設定]-[デバイス証明書設定]-[新規登録]-[証明書の発行要求をする]で、証明書の発行に必要な情報を入力し、[OK]をクリックします。</div><ul class="Alternative"><li><p class="inList">設定内容について詳しくは、[証明書の発行要求をする]の設定内容（手順の後に記載）をごらんください。</p></li></ul></div></div><div class="SequenceOfAction-item bottom-border"><div class="SequenceOfAction-item-num-div">2</div><div class="no-graphic-counter"><div class="Counter-Action">[保存]をクリックします。</div><ul class="Alternative"><li><p class="inList">証明書発行要求データをファイルとしてコンピューターに保存します。</p></li></ul></div></div><div class="SequenceOfAction-item bottom-border"><div class="SequenceOfAction-item-num-div">3</div><div class="no-graphic-counter"><div class="Counter-Action">証明書発行要求データを、認証局へ送ります。</div><p class="Result FirstResult LastResult">認証局での審査後、返送されてきたデータを本機に登録します。</p></div></div><div class="SequenceOfAction-item bottom-border"><div class="SequenceOfAction-item-num-div">4</div><div class="no-graphic-counter"><div class="Counter-Action"><span style="font-size:inherit; font-weight: bold; color:inherit; ">Web Connection</span>の管理者モードの[セキュリティー]-[PKI設定]-[デバイス証明書設定]-[設定]-[証明書をインストールする]で、CA（認証局）から送られてきたテキスト形式のデータを貼付け、[インストール]をクリックします。</div></div></div><div class="SequenceOfAction-item"><div class="SequenceOfAction-item-num-div">5</div><div class="no-graphic-counter"><div class="Counter-Action">証明書のインストールが完了したら、SSL通信を有効にします。</div><ul class="Alternative"><li><p class="inList">設定内容について詳しくは、<a class="CrossReference" href="UT_08_03.html#2144203915">[SSL使用設定]</a>をごらんください。</p></li></ul></div></div></div><p class="table-title">[証明書の発行要求をする]の設定内容</p><div class="Table-wrapper"><table><colgroup><col style="width:24.999999999999998%;"/><col style="width:75.000000000000002%;"/></colgroup><thead><tr><th class="align-left valign-top"><div class="td-th-div"><p>設定</p></div></th><th class="align-left valign-top"><div class="td-th-div"><p>説明</p></div></th></tr></thead><tbody><tr><td class="align-left valign-top"><div class="td-th-div"><p>[コモンネーム]</p></div></td><td class="align-left valign-top"><div class="td-th-div"><p>本機のIPアドレスを表示します。</p></div></td></tr><tr><td class="align-left valign-top"><div class="td-th-div"><p>[組織名]</p></div></td><td class="align-left valign-top"><div class="td-th-div"><p>組織名、団体名を入力します（ASCII 63文字以内）。</p></div></td></tr><tr><td class="align-left valign-top"><div class="td-th-div"><p>[部門名]</p></div></td><td class="align-left valign-top"><div class="td-th-div"><p>部門名を入力します（ASCII 63文字以内）。</p><p>空白でも登録できます。</p></div></td></tr><tr><td class="align-left valign-top"><div class="td-th-div"><p>[市区町村名]</p></div></td><td class="align-left valign-top"><div class="td-th-div"><p>市区町村名を入力します（ASCII 127文字以内）。</p></div></td></tr><tr><td class="align-left valign-top"><div class="td-th-div"><p>[都道府県名]</p></div></td><td class="align-left valign-top"><div class="td-th-div"><p>都道府県名を入力します（ASCII 127文字以内）。</p></div></td></tr><tr><td class="align-left valign-top"><div class="td-th-div"><p>[国別記号]</p></div></td><td class="align-left valign-top"><div class="td-th-div"><p>国名を入力します。ISO03166で規定されている国コードで入力します（ASCII 2文字）。</p><p>アメリカ：US、イギリス：GB、イタリア：IT、オーストラリア：AU、オランダ：NL、カナダ：CA、スペイン：ES、チェコ：CZ、中国：CN、デンマーク：DK、ドイツ：DE、日本：JP、フランス：FR、ベルギー：BE、ロシア：RU</p></div></td></tr><tr><td class="align-left valign-top"><div class="td-th-div"><p>[管理者アドレス]</p></div></td><td class="align-left valign-top"><div class="td-th-div"><p>本機の管理者の、メールアドレスを入力します（スペースを除く半角128文字以内）。</p><p>[環境設定]-[本体登録]で、すでに管理者のメールアドレスを登録している場合は、登録したメールアドレスを表示します。</p></div></td></tr><tr><td class="align-left valign-top"><div class="td-th-div"><p>[暗号鍵の種類]</p></div></td><td class="align-left valign-top"><div class="td-th-div"><p>暗号鍵の種類を設定します。</p></div></td></tr><tr><td class="align-left valign-top"><div class="td-th-div"><p>[サーバー認証(id-kp-serverAuth OID)を指定する]</p></div></td><td class="align-left valign-top"><div class="td-th-div"><p>本機の証明書の暗号鍵の用途がサーバー認証であることを指定する場合は、オンにします（初期値：オフ）。</p></div></td></tr></tbody></table></div></main></div>'}};
$.extend(cmn.contentsHtml, contentsHtml_WC_11_02_01);