var contentsHtml_WC_14_03 = {'WC_14_03.html' : { 'contents' : '<div id="print-page"><main><h2 id="2167328907">OpenAPIを使う</h2><div class="Subsection-menu"><div class="Subsection-item"><a href="#2167352075">設定の流れ</a></div><div class="Subsection-item"><a href="#2167375243">OpenAPIの基本設定をする</a></div><div class="Subsection-item"><a href="#2167400971">プロキシサーバーを使う</a></div><div class="Subsection-item"><a href="#2167429003">SSLで通信する</a></div></div><div class="heading-div"><h3 id="2167352075" class="Subsection">設定の流れ</h3></div><p>OpenAPIを介して本機と通信するアプリケーションを利用する場合に、本機のOpenAPI設定をします。</p><p>本機の証明書を登録していれば、本機がサーバーとしてクライアントと通信するとき、通信をSSLで暗号化できます。</p><p>また、本機のSSDP（Simple Service Discovery Protocol）機能を利用することで、OpenAPI連携アプリケーションとのスムーズな連携ができます。</p><p>OpenAPIを介して連携する場合は、次の手順で設定してください。</p><div class="SequenceOfAction-column"><div class="SequenceOfAction-item bottom-border"><div class="SequenceOfAction-item-num-div">1</div><div class="no-graphic-counter"><div class="Counter-Action"><a class="CrossReference" href="WC_04_01.html#2155509643">ネットワーク設定をする</a></div></div></div><div class="SequenceOfAction-item bottom-border"><div class="SequenceOfAction-item-num-div">2</div><div class="no-graphic-counter"><div class="Counter-Action"><a class="CrossReference" href="WC_14_03.html#2167375243">OpenAPIの基本設定をする</a></div></div></div><div class="SequenceOfAction-item"><div class="SequenceOfAction-item-num-div">3</div><div class="no-graphic-counter"><div class="Counter-Action">お使いの環境に合わせて設定する</div><ul class="Alternative"><li><p class="inList"><a class="CrossReference" href="WC_14_03.html#2167400971">プロキシサーバーを使う</a></p></li><li><p class="inList"><a class="CrossReference" href="WC_14_03.html#2167429003">SSLで通信する</a></p></li></ul></div></div></div><div class="heading-div"><h3 id="2167375243" class="Subsection">OpenAPIの基本設定をする</h3></div><p>OpenAPIを介して通信するための設定をします。</p><div class="SequenceOfAction-column"><div class="SequenceOfAction-item bottom-border"><div class="SequenceOfAction-item-num-div">1</div><div class="no-graphic-counter"><div class="Counter-Action"><span style="font-size:inherit; font-weight: bold; color:inherit; ">Web Connection</span>の管理者モード（または本機の[設定メニュー]-[管理者]）の[ネットワーク]-[SSDP設定]で、SSDPの設定をします。</div><ul class="Alternative"><li><p class="inList">設定内容について詳しくは、[SSDP設定]の設定内容（手順の後に記載）をごらんください。</p></li></ul></div></div><div class="SequenceOfAction-item"><div class="SequenceOfAction-item-num-div">2</div><div class="no-graphic-counter"><div class="Counter-Action"><span style="font-size:inherit; font-weight: bold; color:inherit; ">Web Connection</span>の管理者モード（または本機の[設定メニュー]-[管理者]）の[ネットワーク]-[OpenAPI設定]-[OpenAPI設定]で、OpenAPIの設定をします。</div><ul class="Alternative"><li><p class="inList">設定内容について詳しくは、[OpenAPI設定]の設定内容（手順の後に記載）をごらんください。</p></li></ul></div></div></div><p class="table-title">[SSDP設定]の設定内容</p><div class="Table-wrapper"><table><colgroup><col style="width:24.999999999999998%;"/><col style="width:75.000000000000002%;"/></colgroup><thead><tr><th class="align-left valign-top"><div class="td-th-div"><p>設定</p></div></th><th class="align-left valign-top"><div class="td-th-div"><p>説明</p></div></th></tr></thead><tbody><tr><td class="align-left valign-top"><div class="td-th-div"><p>[SSDP]</p></div></td><td class="align-left valign-top"><div class="td-th-div"><p>SSDPを有効にする場合は、オンにします（初期値：オン）。</p><p>次のことができるようになります。</p><ul class="table-listentry"><li><p class="inList">本機でOpenAPIサービスが起動したことを通知する</p></li><li><p class="inList">OpenAPIサービス検索に対して応答を返す</p></li></ul></div></td></tr><tr><td class="align-left valign-top"><div class="td-th-div"><p>[マルチキャストTTL設定]</p></div></td><td class="align-left valign-top"><div class="td-th-div"><p>必要に応じて、SSDPマルチキャストパケットのTTL（Time To Live）を変更します（初期値：[1]）。</p></div></td></tr></tbody></table></div><p class="table-title">[OpenAPI設定]の設定内容</p><div class="Table-wrapper"><table><colgroup><col style="width:24.999999999999998%;"/><col style="width:75.000000000000002%;"/></colgroup><thead><tr><th class="align-left valign-top"><div class="td-th-div"><p>設定</p></div></th><th class="align-left valign-top"><div class="td-th-div"><p>説明</p></div></th></tr></thead><tbody><tr><td class="align-left valign-top"><div class="td-th-div"><p>[ポート番号]</p></div></td><td class="align-left valign-top"><div class="td-th-div"><p>必要に応じて、OpenAPI通信のポート番号を変更します（初期値：[50001]）。</p></div></td></tr><tr><td class="align-left valign-top"><div class="td-th-div"><p>[HTTPバージョン設定]</p></div></td><td class="align-left valign-top"><div class="td-th-div"><p>HTTP通信で使用するプロトコルのバージョンを選びます（初期値：[HTTP/1.1]）。</p><ul class="table-listentry"><li><p class="inList">[HTTP/1.1]：HTTP/1.1のみを使用します。</p></li><li><p class="inList">[HTTP/2,HTTP/1.1]：接続先がHTTP/2に対応している場合は、HTTP/2を使用します。それ以外の場合は、HTTP/1.1を使用します。</p></li></ul></div></td></tr></tbody></table></div><div class="Tips"><div class="TipsTitle-div"><div class="Tips-icon"><img src="src/img/Tips.png"/></div><div class="Tips-title">参考</div></div><div class="Tips-body"><ul class="List-Safety-Bulleted"><li><span style="font-size:inherit; font-weight: bold; color:inherit; ">Web Connection</span>と本機の画面で、複数のポート番号を同時に変更すると、ポート番号重複エラーが表示されることがあります。ポート番号重複エラーが表示された場合は、一度にまとめて変更せず、1つずつ変更してください。</li></ul></div></div><div class="heading-div"><h3 id="2167400971" class="Subsection">プロキシサーバーを使う</h3></div><p>お使いの環境でプロキシを導入している場合は、プロキシサーバーを登録します。</p><p><span style="font-size:inherit; font-weight: bold; color:inherit; ">Web Connection</span>の管理者モード（または本機の[設定メニュー]-[管理者]）の[ネットワーク]-[OpenAPI設定]-[OpenAPI設定]で、次の設定をします。</p><div class="Table-wrapper"><table><colgroup><col style="width:24.999999999999998%;"/><col style="width:75.000000000000002%;"/></colgroup><thead><tr><th class="align-left valign-top"><div class="td-th-div"><p>設定</p></div></th><th class="align-left valign-top"><div class="td-th-div"><p>説明</p></div></th></tr></thead><tbody><tr><td class="align-left valign-top"><div class="td-th-div"><p>[プロキシ設定]</p></div></td><td class="align-left valign-top"><div class="td-th-div"><p>お使いの環境に合わせて、プロキシサーバーを登録します。</p><ul class="table-listentry"><li><p class="inList">[プロキシサーバーアドレス]：プロキシサーバーのアドレスを入力します。次のいずれかのフォーマットで入力します。<br/>ホスト名の入力例：「host.example.com」<br/>IPアドレス（IPv4）の入力例：「192.168.1.1」<br/>IPアドレス（IPv6）の入力例：「fe80::220:6bff:fe10:2f16」</p></li><li><p class="inList">[プロキシサーバーポート番号]：必要に応じて、HTTPで使用するプロキシサーバーのポート番号を変更します（初期値：[8080]）。</p></li><li><p class="inList">[プロキシサーバーポート番号(HTTPS)]：必要に応じて、HTTPSで使用するプロキシサーバーのポート番号を変更します（初期値：[8080]）。</p></li><li><p class="inList">[プロキシサーバーポート番号(FTP)]：必要に応じて、FTPで使用するプロキシサーバーのポート番号を変更します（初期値：[21]）。</p></li><li><p class="inList">[ユーザー名]：プロキシ認証で使用するユーザー名を入力します（半角63文字以内）。</p></li><li><p class="inList">[パスワード]：プロキシ認証で使用するパスワードを入力します（半角63文字以内）。</p></li></ul></div></td></tr></tbody></table></div><div class="heading-div"><h3 id="2167429003" class="Subsection">SSLで通信する</h3></div><p>本機とアプリケーションとのOpenAPIを介した通信を、SSLで暗号化します。</p><div class="SequenceOfAction-column"><div class="SequenceOfAction-item bottom-border"><div class="SequenceOfAction-item-num-div">1</div><div class="no-graphic-counter"><div class="Counter-Action">本機の証明書を登録し、SSL通信を有効にします。</div><ul class="Alternative"><li><p class="inList">設定内容について詳しくは、<a class="CrossReference" href="WC_11_02_01.html#2162280331">SSL/TLSで通信する</a>をごらんください。</p></li></ul></div></div><div class="SequenceOfAction-item"><div class="SequenceOfAction-item-num-div">2</div><div class="no-graphic-counter"><div class="Counter-Action"><span style="font-size:inherit; font-weight: bold; color:inherit; ">Web Connection</span>の管理者モード（または本機の[設定メニュー]-[管理者]）の[ネットワーク]-[OpenAPI設定]で、SSLの設定をします。</div></div></div></div><p class="table-title">[OpenAPI設定]の設定内容</p><div class="Table-wrapper"><table><colgroup><col style="width:24.999999999999998%;"/><col style="width:75.000000000000002%;"/></colgroup><thead><tr><th class="align-left valign-top"><div class="td-th-div"><p>設定</p></div></th><th class="align-left valign-top"><div class="td-th-div"><p>説明</p></div></th></tr></thead><tbody><tr><td class="align-left valign-top"><div class="td-th-div"><p>[SSL/ポート設定]</p></div></td><td class="align-left valign-top"><div class="td-th-div"><p>通信にSSLを使うかどうかを選びます（初期値：[非SSL通信のみ可]）。</p><ul class="table-listentry"><li><p class="inList">[非SSL通信のみ可]：非SSL通信だけを許可します。</p></li><li><p class="inList">[SSL通信のみ可]：SSL通信だけを許可します。</p></li><li><p class="inList">[SSL/非SSL通信可]：SSL通信と非SSL通信の両方を許可します。</p></li></ul></div></td></tr><tr><td class="align-left valign-top"><div class="td-th-div"><p>[ポート番号(SSL)]</p></div></td><td class="align-left valign-top"><div class="td-th-div"><p>必要に応じて、SSL通信用のポート番号を変更します（初期値：[50003]）。</p></div></td></tr><tr><td class="align-left valign-top"><div class="td-th-div"><p>[証明書検証強度設定]</p></div></td><td class="align-left valign-top"><div class="td-th-div"><p>SSLで通信するときに証明書の検証を行う場合は、検証する項目を選びます。</p><ul class="table-listentry"><li><p class="inList">[クライアント証明書]：本機に接続するクライアントに対して、証明書を要求するかどうかを選びます（初期値：オフ）。</p></li><li><p class="inList">[有効期限]：証明書が有効期限内かどうかを確認します（初期値：オン）。</p></li><li><p class="inList">[CN]：証明書のCN（Common Name）が、サーバーのアドレスと一致しているかどうかを確認します（初期値：オフ）。</p></li><li><p class="inList">[鍵使用法]：証明書の発行者が承認した使用用途に沿って、証明書が使われているかどうかを確認します（初期値：オフ）。</p></li><li><p class="inList">[チェーン]：証明書のチェーン（証明書のパス）に問題がないかどうかを確認します（初期値：オフ）。チェーンの確認は、本機で管理している外部証明書を参照して行います。</p></li><li><p class="inList">[失効確認]：証明書が失効していないかどうかを確認します（初期値：オフ）。失効確認は、OCSP（Online Certificate Status Protocol）サービス、CRL（Certificate Revocation List）の順番で行います。</p></li></ul></div></td></tr></tbody></table></div><div class="Reference"><div class="ReferenceTitle-div"><div class="Reference-icon"><img src="src/img/Reference.png"/></div><div class="Reference-title">参照</div></div><div class="Reference-body"><ul class="List-Reference-Bulleted"><li><a class="CrossReference" href="WC_11_05_05.html#2163026571">通信相手の証明書を検証する</a></li></ul></div></div></main></div>'}};
$.extend(cmn.contentsHtml, contentsHtml_WC_14_03);